## GstVideoTileInfo

Description of a tile. This structure allow to describe arbitrary tile dimensions and sizes.

### Members

`width` (guint) –

The width in pixels of a tile. This value can be zero if the number of pixels per line is not an integer value.

`height` (guint) –
No description available
`stride` (guint) –

The stride (in bytes) of a tile line. Regardless if the tile have sub-tiles this stride multiplied by the height should be equal to size. This value is used to translate into linear stride when older APIs are being used to expose this format.

`size` (guint) –

The size in bytes of a tile. This value must be divisible by stride.

Since : 1.22

## GstVideo.VideoTileInfo

Description of a tile. This structure allow to describe arbitrary tile dimensions and sizes.

### Members

`width` (Number) –

The width in pixels of a tile. This value can be zero if the number of pixels per line is not an integer value.

`height` (Number) –
No description available
`stride` (Number) –

The stride (in bytes) of a tile line. Regardless if the tile have sub-tiles this stride multiplied by the height should be equal to size. This value is used to translate into linear stride when older APIs are being used to expose this format.

`size` (Number) –

The size in bytes of a tile. This value must be divisible by stride.

Since : 1.22

## GstVideo.VideoTileInfo

Description of a tile. This structure allow to describe arbitrary tile dimensions and sizes.

### Members

`width` (int) –

The width in pixels of a tile. This value can be zero if the number of pixels per line is not an integer value.

`height` (int) –
No description available
`stride` (int) –

The stride (in bytes) of a tile line. Regardless if the tile have sub-tiles this stride multiplied by the height should be equal to size. This value is used to translate into linear stride when older APIs are being used to expose this format.

`size` (int) –

The size in bytes of a tile. This value must be divisible by stride.

Since : 1.22

## Functions

### gst_video_tile_get_index

    guint
    gst_video_tile_get_index (GstVideoTileMode mode,
                              gint x,
                              gint y,
                              gint x_tiles,
                              gint y_tiles)

Get the tile index of the tile at coordinates x and y in the tiled image of x_tiles by y_tiles.

Use this method when mode is of type GST_VIDEO_TILE_TYPE_INDEXED.

Parameters:

`mode` –

a GstVideoTileMode

`x` –

x coordinate

`y` –

y coordinate

`x_tiles` –

number of horizintal tiles

`y_tiles` –

number of vertical tiles

Returns –

the index of the tile at x and y in the tiled image of x_tiles by y_tiles.

Since : 1.4

### GstVideo.prototype.video_tile_get_index

    function GstVideo.prototype.video_tile_get_index(mode: GstVideo.VideoTileMode, x: Number, y: Number, x_tiles: Number, y_tiles: Number): {
        // javascript wrapper for 'gst_video_tile_get_index'
    }

Get the tile index of the tile at coordinates x and y in the tiled image of x_tiles by y_tiles.

Use this method when mode is of type GstVideo.VideoTileType.INDEXED.

Parameters:

`mode` (GstVideo.VideoTileMode) –

a GstVideo.VideoTileMode

`x` (Number) –

x coordinate

`y` (Number) –

y coordinate

`x_tiles` (Number) –

number of horizintal tiles

`y_tiles` (Number) –

number of vertical tiles

Returns (Number) –

the index of the tile at x and y in the tiled image of x_tiles by y_tiles.

Since : 1.4

### GstVideo.video_tile_get_index

    def GstVideo.video_tile_get_index (mode, x, y, x_tiles, y_tiles):
        #python wrapper for 'gst_video_tile_get_index'

Get the tile index of the tile at coordinates x and y in the tiled image of x_tiles by y_tiles.

Use this method when mode is of type GstVideo.VideoTileType.INDEXED.

Parameters:

`mode` (GstVideo.VideoTileMode) –

a GstVideo.VideoTileMode

`x` (int) –

x coordinate

`y` (int) –

y coordinate

`x_tiles` (int) –

number of horizintal tiles

`y_tiles` (int) –

number of vertical tiles

Returns (int) –

the index of the tile at x and y in the tiled image of x_tiles by y_tiles.

Since : 1.4

## Function Macros

### GST_VIDEO_TILE_MAKE_MODE

    #define GST_VIDEO_TILE_MAKE_MODE(num, type) \
        (((num) << GST_VIDEO_TILE_TYPE_SHIFT) | (GST_VIDEO_TILE_TYPE_ ##type))

use this macro to create new tile modes.

Parameters:

`num` –

the mode number to create

`type` –

the tile mode type

### GST_VIDEO_TILE_MAKE_STRIDE

    #define GST_VIDEO_TILE_MAKE_STRIDE(x_tiles, y_tiles) \
        (((y_tiles) << GST_VIDEO_TILE_Y_TILES_SHIFT) | (x_tiles))

Encode the number of tile in X and Y into the stride.

Parameters:

`x_tiles` –

number of tiles in X

`y_tiles` –

number of tiles in Y

### GST_VIDEO_TILE_MODE_IS_INDEXED

    #define GST_VIDEO_TILE_MODE_IS_INDEXED(mode) (GST_VIDEO_TILE_MODE_TYPE(mode) == GST_VIDEO_TILE_TYPE_INDEXED)

Check if mode is an indexed tile type

Parameters:

`mode` –

a tile mode

### GST_VIDEO_TILE_MODE_TYPE

    #define GST_VIDEO_TILE_MODE_TYPE(mode)       ((mode) & GST_VIDEO_TILE_TYPE_MASK)

Get the tile mode type of mode

Parameters:

`mode` –

the tile mode

### GST_VIDEO_TILE_X_TILES

    #define GST_VIDEO_TILE_X_TILES(stride) ((stride) & GST_VIDEO_TILE_X_TILES_MASK)

Extract the number of tiles in X from the stride value.

Parameters:

`stride` –

plane stride

### GST_VIDEO_TILE_Y_TILES

    #define GST_VIDEO_TILE_Y_TILES(stride) ((stride) >> GST_VIDEO_TILE_Y_TILES_SHIFT)

Extract the number of tiles in Y from the stride value.

Parameters:

`stride` –

plane stride

## Enumerations

### GstVideoTileMode

Enum value describing the available tiling modes.

##### Members

`GST_VIDEO_TILE_MODE_UNKNOWN` (0) –

Unknown or unset tile mode

`GST_VIDEO_TILE_MODE_ZFLIPZ_2X2` (65536) –

Every four adjacent blocks - two horizontally and two vertically are grouped together and are located in memory in Z or flipped Z order. In case of odd rows, the last row of blocks is arranged in linear order.

`GST_VIDEO_TILE_MODE_LINEAR` (131072) –

Tiles are in row order.

(Since: 1.18)

### GstVideo.VideoTileMode

Enum value describing the available tiling modes.

##### Members

`GstVideo.VideoTileMode.UNKNOWN` (0) –

Unknown or unset tile mode

`GstVideo.VideoTileMode.ZFLIPZ_2X2` (65536) –

Every four adjacent blocks - two horizontally and two vertically are grouped together and are located in memory in Z or flipped Z order. In case of odd rows, the last row of blocks is arranged in linear order.

`GstVideo.VideoTileMode.LINEAR` (131072) –

Tiles are in row order.

(Since: 1.18)

### GstVideo.VideoTileMode

Enum value describing the available tiling modes.

##### Members

`GstVideo.VideoTileMode.UNKNOWN` (0) –

Unknown or unset tile mode

`GstVideo.VideoTileMode.ZFLIPZ_2X2` (65536) –

Every four adjacent blocks - two horizontally and two vertically are grouped together and are located in memory in Z or flipped Z order. In case of odd rows, the last row of blocks is arranged in linear order.

`GstVideo.VideoTileMode.LINEAR` (131072) –

Tiles are in row order.

(Since: 1.18)

### GstVideoTileType

Enum value describing the most common tiling types.

##### Members

`GST_VIDEO_TILE_TYPE_INDEXED` (0) –

Tiles are indexed. Use gst_video_tile_get_index () to retrieve the tile at the requested coordinates.

### GstVideo.VideoTileType

Enum value describing the most common tiling types.

##### Members

`GstVideo.VideoTileType.INDEXED` (0) –

Tiles are indexed. Use gst_video_tile_get_index () to retrieve the tile at the requested coordinates.

### GstVideo.VideoTileType

Enum value describing the most common tiling types.

##### Members

`GstVideo.VideoTileType.INDEXED` (0) –

Tiles are indexed. Use gst_video_tile_get_index () to retrieve the tile at the requested coordinates.

## Constants

### GST_VIDEO_TILE_TYPE_MASK

    #define GST_VIDEO_TILE_TYPE_MASK      ((1 << GST_VIDEO_TILE_TYPE_SHIFT) - 1)

### GstVideo.VIDEO_TILE_TYPE_MASK

### GST_VIDEO_TILE_TYPE_SHIFT

    #define GST_VIDEO_TILE_TYPE_SHIFT     (16)

### GstVideo.VIDEO_TILE_TYPE_SHIFT

### GST_VIDEO_TILE_X_TILES_MASK

    #define GST_VIDEO_TILE_X_TILES_MASK      ((1 << GST_VIDEO_TILE_Y_TILES_SHIFT) - 1)

### GstVideo.VIDEO_TILE_X_TILES_MASK

### GST_VIDEO_TILE_Y_TILES_SHIFT

    #define GST_VIDEO_TILE_Y_TILES_SHIFT     (16)

### GstVideo.VIDEO_TILE_Y_TILES_SHIFT

The results of the search are